﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace xm_Fingerpint
{
	[Activity (Label = "setsys")]			
	public class setsys : Activity
	{
		TextView version;
		Spinner sp;
		Button btnset;
		Button btninit;
		private ArrayAdapter bard;
		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);

			SetContentView (Resource.Layout.SetSys);
			// Create your application here

			InitView ();
		}
		void InitView()
		{
			version = FindViewById<TextView> (Resource.Id.setsysversion);
			sp = FindViewById<Spinner> (Resource.Id.spinner1);
			btnset = FindViewById<Button> (Resource.Id.setsysset);
			btninit = FindViewById<Button> (Resource.Id.setsysinit);
			bard = ArrayAdapter.CreateFromResource(this,Resource.Array.bard, 
				global::Android.Resource.Layout.SimpleSpinnerItem);
			bard
				.SetDropDownViewResource (global::Android.Resource.Layout.SimpleSpinnerDropDownItem);
			sp.Adapter = bard;
			sp.SetSelection (0);
		
			char[] ch=PubClass.hexString2Chars(PubClass.fp.Version);
			version.Text =new string (ch);

			btnset.Click += new EventHandler (delegate {
				if(PubClass.fp.SetReg (4,int.Parse(sp.SelectedItem.ToString())/9600))
				{
					Toast.MakeText(this,GetString(Resource.String.setsyssetbardsucc),ToastLength.Long).Show ();
				}
				else
				{
					Toast.MakeText(this,GetString(Resource.String.setsyssetbardfail),ToastLength.Long).Show ();
				}
			});

			btninit.Click += new EventHandler (delegate {
				if(PubClass.fp.Init(int.Parse(sp.SelectedItem.ToString ())))
				{
					Toast.MakeText(this,GetString(Resource.String.setsysinitsucc),ToastLength.Long).Show ();
				}
				else{
					Toast.MakeText(this,GetString(Resource.String.setsysinitfail),ToastLength.Long).Show ();
				}
			});
		}

		protected override void OnResume()
		{
			base.OnResume ();
			char[] ch=PubClass.hexString2Chars(PubClass.fp.Version);
			version.Text = new string (ch);

		}
	}
}

